Subject: Re: [PATCH net-2.6.24] introduce MAC_FMT/MAC_ARG

From: Joe Perches <[email-masked]>
Date: Fri, 31 Aug 2007 15:39:21 -0700

On Sat, 2007-09-01 at 00:32 +0200, Johannes Berg wrote:
> I think you got a bit too trigger-happy:
>         p += sprintf(p, "key[%d] alg=CCMP key_set=%d "
> -                    "tx_pn=%02x%02x%02x%02x%02x%02x "
> -                    "rx_pn=%02x%02x%02x%02x%02x%02x "
> +                    "tx_pn=%s "
> +                    "rx_pn=%s "
>                      "format_errors=%d replays=%d decrypt_errors=%d\n",
>                      ccmp->key_idx, ccmp->key_set,
> -                    MAC_ARG(ccmp->tx_pn), MAC_ARG(ccmp->rx_pn),
> +                    print_mac(mac, ccmp->tx_pn), print_mac(mac2, ccmp->rx_pn),
> 
> the PN is a number, not a MAC address :) The fact that it used MAC_ARG,
> was, I guess, just laziness of the original author since the PN is also
> 6 bytes long. That said, I can live with it being printed this way too,
> it's just a bit weird.

Yes, that was one of the dodgy ones.
I didn't actually realize it wasn't a MAC address though.

I think all of the sprintf/seq_foo changes should be inspected.
I broke ipv6 once doing something similar to v6 addresses.

> Going to be fun to merge with my 70 outstanding patches though :)

That's a cheery definition of fun.